@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Open Sans', sans-serif;
}

html {
  scroll-behavior: smooth;
}

.container {
  max-width: 80%;
  margin: auto;
}

a {
  text-decoration: none;
  transition: 0.5;
}

header {
  background: #212121;
  color: white;
  height: 100vh;
}

h2 {
  margin-top: 20px;
  font-family: 'Pacifico', cursive;
  font-style: italic;
  font-weight: 100;
}

header .navbar {
  display: flex;
  align-items: center;
  height: 10vh;
}

header a {
  color: white;
  font-size: 14px;
}

header nav {
  flex: 1;
  text-align: right;
}

header nav ul {
  display: inline-block;
  list-style-type: none;
}

header nav ul li {
  display: inline-block;
  margin: 15px;
  transition: 0.5s;
}

header nav ul li.active {
  background: #0e6c66;
  padding: 5px 10px;
  border-radius: 5px;
}

header nav i {
  transition: 0.5s;
  cursor: pointer;
}

header nav i:hover {
  color: #0e6c66;
}

header nav ul li:hover {
  background: #0e6c66;
  padding: 5px 10px;
  border-radius: 5px;
}

header .navbar span {
  text-align: center;
  margin-left: 20px;
  color: white;
  font-size: 25px;
  display: none;
}

@media only screen and (max-width:768px) {
  header nav ul {
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.25);
    overflow: hidden;
    transition: max-height 0.5s;
    text-align: center;
  }

  header nav ul li {
    display: block;
    margin: 50px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  header nav ul li a {
    color: white;
  }

  header .navbar span {
    color: white;
    display: block;
    cursor: pointer;
  }
}

/*----------header--------*/
/*----------home--------*/
.flex {
  display: flex;
  flex-direction: row;
}

.left,
.right {
  width: 50%;
}

button {
  outline: none;
  border: none;
  background: none;
  padding: 12px 50px;
  background: #0e6c66;
  color: white;
  border-radius: 5px;
  margin-top: 20px;
  margin-bottom: 20px;
  transition: 0.5s;
  cursor: pointer;
}

button:hover {
  border: 1px solid #0e6c66;
  background: none;
  color: #0e6c66;
}

img {
  width: 100%;
  height: 100%;
}

.home {
  margin-top: 50px;
  place-items: center;
}

.home p {
  margin-top: 20px;
  margin-bottom: 20px;
}

.home .left {
  width: 70%;
  margin-right: 50px;
  margin-top: 10%;
}

.home .right img {
  width: auto;
  height: auto;
}

.dots {
  margin-top: 20%;
  justify-content: center;
}

.dots label {
  padding: 5px;
  margin-right: 10px;
  border-radius: 50%;
  background: white;
  transition: 0.5s;
  cursor: pointer;
}

.dots label:hover {
  background: #0e6c66;
}

.dots label:nth-child(2) {
  background: #0e6c66;
}

/*----------home--------*/
/*----------about--------*/
.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 40px;
  grid-row-gap: 20px;
}

.about {
  text-align: center;
  margin-top: 100px;
}

.about .item {
  margin-top: 50px;
}

.about .item h2 {
  font-size: 20px;
  font-weight: 400;
  margin-bottom: 20px;
}

.about .item svg {
  width: 80px;
  height: 80px;
}

.about .item p {
  opacity: 0.8;
  margin-top: 20px;
}

.about .content {
  text-align: left;
  margin-top: 100px;
}

.about .content .left {
  width: 40%;
  margin-right: 50px;
}

.about .content .right {
  margin-top: 5%;
  padding: 20px;
}

.about .content h2 {
  font-size: 40px;
  font-weight: 100;
  margin-bottom: 20px;
}

.about .content p {
  margin-bottom: 20px;
}

/*----------about--------*/
/*----------gallery--------*/
.gallery {
  text-align: center;
  margin-top: 100px;
}

.gallery h2 {
  font-size: 40px;
}

.gallery .image {
  margin-top: 50px;
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(8, 8vw);
}

.gallery .img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s;
}

.img_item1 {
  grid-column-start: 1;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 5;
}

.img_item2 {
  grid-column-start: 5;
  grid-column-end: 7;
  grid-row-start: 1;
  grid-row-end: 5;
}

.img_item3 {
  grid-column-start: 7;
  grid-column-end: 9;
  grid-row-start: 1;
  grid-row-end: 5;
}

.img_item4 {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 5;
  grid-row-end: 9;
}

.img_item5 {
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 5;
  grid-row-end: 9;
}

.img_item6 {
  grid-column-start: 5;
  grid-column-end: 9;
  grid-row-start: 5;
  grid-row-end: 9;
}

/*----------gallery--------*/
/*----------customer--------*/
.customer {
  margin-top: 100px;
}

.customer h2 {
  text-align: center;
  font-size: 40px;
  margin-bottom: 50px;
}

.customer .grid {
  grid-template-columns: repeat(2, 1fr);
}

.customer .para {
  background-color: #212121;
  color: white;
  padding: 20px;
  position: relative;
  margin-bottom: 50px;
}

.customer .para::after {
  content: '';
  position: absolute;
  left: 0;
  border-top: 60px solid #212121;
  border-right: 60px solid transparent;
}

.customer .image {
  margin-top: 60px;
}

.customer .img {
  width: 100px;
  height: 100px;
  margin-right: 30px;
}

.customer .text {
  margin-top: 20px;
}

/*----------customer--------*/
/*----------footer--------*/
footer {
  margin-top: 100px;
  background: #212121;
  color: white;
}

footer .left {
  margin-top: 70px;
  width: 70%;
}

footer .right {
  margin-top: 70px;
  width: 30%;
}

footer .left .input {
  width: 90%;
}

footer .left input {
  width: 100%;
  padding: 15px;
  background: white;
  border: none;
  outline: none;
}

footer .left .arrow {
  width: 5%;
  background: #0e6c66;
  text-align: center;
  line-height: 40px;
}

footer .right i {
  font-size: 20px;
  width: 50px;
  height: 50px;
  border: 1px solid white;
  text-align: center;
  line-height: 50px;
  margin-right: 20px;
  transition: 0.5s;
}

footer .right i:hover {
  border: 1px solid #0e6c66;
  color: #0e6c66;
}

footer .grid {
  margin-top: 50px;
  grid-template-columns: repeat(4, 1fr);
}

footer h2 {
  margin-top: 30px;
  margin-bottom: 30px;
}

footer .box {
  margin-bottom: 20px;
}

footer .box img {
  width: 100px;
  height: 70px;
  margin-right: 20px;
}

footer iframe {
  width: auto;
  height: auto;
  margin-top: 70px;
}

.legal {
  padding: 20px;
  text-align: center;
}

.legal i {
  color: #0e6c66;
}

/*----------footer--------*/
@media only screen and (max-width:768px) {
  header {
    height: auto;
  }

  .dots {
    margin-bottom: 20px;
  }

  .home .right img {
    width: 100%;
    height: 100%;
  }

  .about img {
    margin-top: 70px;
  }

  footer .right i {
    margin-bottom: 20px;
  }

  footer .grid,
  .customer .grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media only screen and (max-width:514px) {

  .right,
  .left {
    width: 100%;
  }

  .home {
    flex-direction: column;
  }

  .home {
    flex-direction: column-reverse;
  }

  .dots {
    display: flex;
    flex-direction: row;
  }

  .about .grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .content {
    flex-direction: column;
  }

  footer .left {
    width: 100%;
  }

  footer .right {
    width: 100%;
  }

  footer .left .input {
    width: 85%;
  }

  footer .left input {
    width: 100%;
  }

  footer .left .arrow {
    width: 15%;
  }

  p {
    font-size: 12px;
  }
}